<p-panel>
        <p-header>
           Data Pencapaian Sales : {{ userSales }}
        </p-header>
<div style="margin-top: 20px">
        <p-dataTable
        [value]="targetSalesSummary"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="false"
        [pageLinks]="5"
        [totalRecords]="totalItems"
        [responsive]="true"
        totalRecords="totalItems"
        dataKey="idsalesman"
        expandableRows="false"
        rowHover="true">
        <p-column header="No" [style]="{'width': '10px'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Bulan" [style]="{'width': '30px'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.bulanket}}
                </ng-template>
        </p-column>
        <p-column header="Target" [style]="{'width': '20px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.targetsales}}
            </ng-template>
        </p-column>
        <p-column header="Pencapaian" [style]="{'width': '20px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.capaiansales}}
            </ng-template>
        </p-column>
        <p-column header="Persentase" [style]="{'width': '20px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.persentase}} %
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
<div style="margin-top: 20px">
    <p-dataTable
        [value]="targetSales"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="false"
        [pageLinks]="5"
        [totalRecords]="totalItems"
        [responsive]="true"
        totalRecords="totalItems"
        dataKey="idSalesman"
        expandableRows="false"
        rowHover="true">
        <p-column header="No" [style]="{'width': '10px'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Bulan" [style]="{'width': '30px'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                        Bulan Berjalan
                </ng-template>
        </p-column>
        <p-column header="Target" [style]="{'width': '20px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nilaiTargetSales}}
            </ng-template>
        </p-column>
        <p-column header="Pencapaian" [style]="{'width': '20px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.hasilCapai}}
            </ng-template>
        </p-column>
        <p-column header="Persentase" [style]="{'width': '20px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.capaiSales}} %
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
    <div class="ui-g">
            <div class="ui-g-12" style="margin-top: 20px">
                <table style="width: 100%;" border="0">
                    <tr>
                        <td style="width: 20%"></td>
                        <td style="width: 20%">
                                <button class="btn btn-primary btn-block" [routerLink]="['/prospect-person-korsal/'+ userSales + '/edit']">
                                        <i class="fa fa-list" aria-hidden="true"></i> List Prospect
                                </button>
                        </td>
                        <td style="width: 20%"> 
                        </td>
                        <td style="width: 20%" >
                            <div *ngIf="isKorsal === 1">
                                <button class="btn btn-primary btn-block" [routerLink]="['/prospect-korsal']">
                                        <i class="fa fa-plus" aria-hidden="true"></i> Tambah Suspect
                                </button>
                            </div>
                            <div *ngIf="isKorsal === 2">
                                <button class="btn btn-primary btn-block" [routerLink]="['/prospect-tl']">
                                        <i class="fa fa-plus" aria-hidden="true"></i> Tambah Suspect
                                </button>
                            </div>
                        </td>
                        <td style="width: 20%"></td>
                    </tr>
                </table>
            </div>
    </div>
    <footer>
        <button pButton type="button" (click)="previousState()"
                                        label="{{'entity.action.back' | translate}}" 
                                        icon="fa-ban"
                                        class="ui-button-danger flat-label-button">
        </button>
    </footer>
</p-panel>
    